# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87.0"
name = "jwt-encde"
version = "1.1.1"
authors = ["nabbisen <nabbisen@scqr.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "GUI JWT encoder / decoder - Local, private, easy."
readme = "README.md"
keywords = [
    "jwt",
    "auth",
    "test",
    "encryption",
    "security",
]
categories = ["development-tools"]
license = "Apache-2.0"
repository = "https://github.com/nabbisen/jwt-encde"

[lib]
name = "jwt_encde"
path = "src/lib.rs"

[[bin]]
name = "jwt-encde"
path = "src/main.rs"

[dependencies.arboard]
version = "3"
features = ["wayland-data-control"]

[dependencies.base64]
version = "0.22"
default-features = false

[dependencies.chrono]
version = "0.4.43"
features = ["clock"]
default-features = false

[dependencies.hmac]
version = "0.12"
default-features = false

[dependencies.iced]
version = "0.14"
features = [
    "highlighter",
    "svg",
]

[dependencies.json5]
version = "1"

[dependencies.jsonwebtoken]
version = "10"
features = [
    "default",
    "rust_crypto",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"
default-features = false

[dependencies.webbrowser]
version = "1"

[profile.dev]
opt-level = 1
lto = false
incremental = false

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
strip = true
